# Sensu Go Moogsoft Handler

The [Sensu Go][1] Moogsoft handler is a [Sensu Event Handler][2] that sends Events to Moogsoft.

__NOTE: This Enterprise plugin is intended for preview use only, it is under active development.__

## Configuration

Example Sensu Go handler definition:

```yaml
api_version: core/v2
type: Handler
metadata:
  namespace: default
  name: moogsoft
spec:
  type: pipe
  runtime_assets:
  - sensu-moogsoft-handler
  command: sensu-moogsoft-handler --api-url https://foo.moogsoft.io/events/webhook_sensu --username sensu --password secret
  timeout: 30
  filters:
  - is_incident
  - not_silenced
```

## Enterprise Plugin

The Sensu Go Moogsoft Handler is an Enterprise plugin that requires a valid Sensu license to run.
Sensu Go >= 5.21 will add the `SENSU_LICENSE_FILE` environment variable to the handler execution.
To run the plugin independently of Sensu (ex. test/dev), you must set the env var:

```
SENSU_LICENSE_FILE=$(sensuctl license info --format json)
```

## Usage Examples

```
The Sensu Go handler for sending Events to Moogsoft

Usage:
  sensu-moogsoft-handler [flags]

Flags:
  -a, --api-url string    The Moogsoft API Webhook URL
  -h, --help              help for sensu-moogsoft-handler
  -p, --password string   The Moogsoft API user password
  -u, --username string   The Moogsoft API username
```

[1]: https://github.com/sensu/sensu-go
[2]: https://docs.sensu.io/sensu-go/5.0/reference/handlers/#how-do-sensu-handlers-work
